/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.farm.model;

import nl.cloudfarming.client.model.AgroURI;
import nl.cloudfarming.client.model.EntityManager;
import org.netbeans.api.project.Project;

/**
 * Manager for farms.
 *
 * Implementations should be stateless and be able to used by multiple farm
 * projects at the same time.
 *
 *
 * @author Timon Veenstra
 */
public interface FarmManager extends EntityManager<Farm> {
    
    /**
     * Find a farm project for specified AgroURI.
     * 
     * if no managed farm for issuuingagency/enterprise id can be found, null
     * is returned
     * 
     * @param agroURI
     * @return Managed farm for URI or null of none found
     */
    public Project findFarmProject(AgroURI agroURI);
}
